Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# PairMatch Class Reference
[Editor]

## Detailed Description

Representation of pair match in text.

Contains information about two regions on two lines.

## Public Methods

| PairMatch::PairMatch ()
| Default constructor.

## Data Fields

LineRegion * | start
| Region's start position.
LineRegion * | end
| Region's end position.
int | sline
| Starting Line of pair.
int | eline
| Ending Line of pair.
bool | topPosition
| Identifies initial position of cursor in pair.
int | pairBalance
| Internal pair search counter.

## Member Function Documentation

PairMatch::PairMatch::PairMatch | ( |  | ) | `[inline]`

| Default constructor. Clears all fields

Colorer-take5 Library. Copyright © 1999-2003 Cail Lomecb.
Generated at Fri Sep 12 18:54:57 2003 by doxygen 1.3-rc2.